Subject: bug#56459: 29.0.50; Edebug disables Eldoc

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 02 Aug 2022 11:58:17 +0200

Noah Friedman <[email-masked]> writes:

>>If I remove that check, I don't see any problems -- stepping through the
>>code doesn't trigger eldoc, so there's no covering up of messages.  (But
>>moving the cursor after stepping triggers eldoc, but that seems fine.)
>
> That seems right to me too, so I'd vote for removing it.

So I've now done that in Emacs 29.

> This also serves as a useful reminder to me that I ought to do a better job
> describing interaction problems in the first place, because I am not likely
> to remember the details 22 years later!

Yeah, it's hard to remember to put the rationale behind a change into
the change log because my brain often goes "well, it's self evident
why!" and then 20 years later, it's not...